#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	MIME
%define		pnam	tools
Summary:	MIME::tools - modules for parsing (and creating!) MIME entities
Summary(pl.UTF-8):	MIME::tools - zestaw modułów do operacji na danych w formacie MIME
Name:		perl-MIME-tools
Version:	5.504
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/MIME/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8e055aab88552710377b4727b23bfb70
URL:		http://search.cpan.org/dist/MIME-tools/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl(File::Path) >= 1
BuildRequires:	perl(File::Spec) >= 0.6
BuildRequires:	perl(IO::File) >= 1.13
BuildRequires:	perl-File-Temp >= 0.18
BuildRequires:	perl-MIME-Base64 >= 2.20
BuildRequires:	perl-MailTools >= 1.05
BuildRequires:	perl-Test-Deep
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.663
Requires:	perl-MailTools >= 1.05
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# optional
%define		_noautoreq_perl	Convert::BinHex

%description
MIME-tools is a collection of Perl5 MIME:: modules for parsing,
decoding and generating single- or multipart (even nested multipart)
MIME messages. (Yes, kids, that means you can send messages with
attached GIF files).

%description -l pl.UTF-8
MIME::tools to zestaw modułów MIME:: dla Perla 5 do analizy,
dekodowania oraz tworzenia jedno- i wieloczęściowych (a nawet
zagnieżdżonych wieloczęściowych) wiadomości MIME (tak, to znaczy, że
można wysyłać wiadomości z dołączonymi plikami GIF).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/MIME-tools/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README*
%{perl_vendorlib}/MIME/Body.pm
%{perl_vendorlib}/MIME/Decoder.pm
%{perl_vendorlib}/MIME/Entity.pm
%{perl_vendorlib}/MIME/Head.pm
%{perl_vendorlib}/MIME/Parser.pm
%{perl_vendorlib}/MIME/Tools.pm
%{perl_vendorlib}/MIME/WordDecoder.pm
%{perl_vendorlib}/MIME/Words.pm
%{perl_vendorlib}/MIME/Decoder
%{perl_vendorlib}/MIME/Field
%{perl_vendorlib}/MIME/Parser
%{_mandir}/man3/MIME::Body.3pm*
%{_mandir}/man3/MIME::Decoder*.3pm*
%{_mandir}/man3/MIME::Entity.3pm*
%{_mandir}/man3/MIME::Field::*.3pm*
%{_mandir}/man3/MIME::Head.3pm*
%{_mandir}/man3/MIME::Parser*.3pm*
%{_mandir}/man3/MIME::Tools.3pm*
%{_mandir}/man3/MIME::WordDecoder.3pm*
%{_mandir}/man3/MIME::Words.3pm*
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Jun 15 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-MIME-tools.git;a=log;h=master

* Sat Jun 15 2013 Jakub Bogusz <qboosh@pld-linux.org> d69d301
- updated to 5.504

* Mon Dec 05 2011 Jakub Bogusz <qboosh@pld-linux.org> 6cd4b48
- updated BRs
- install-time versioned perl-MIME-tools hint

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7fcb602
- up to 5.502

* Sun Nov 22 2009 aredridel <aredridel@pld-linux.org> 46d6e0b
- up BR: perl-IO-stringy to 2.110

* Mon Dec 15 2008 Jakub Bogusz <qboosh@pld-linux.org> 0ffc7f0
- sorted

* Sat Dec 13 2008 Maciej Pijanka <agaran@pld-linux.org> f80d2fc
- missing BR added

* Mon Dec 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 67ad251
- up to 5.427

* Sat Apr 05 2008 Jakub Bogusz <qboosh@pld-linux.org> 03645be
- generic URL

* Wed Apr 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b4a090c
- up to 5.426

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ee21d73
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d71c94e
- converted to UTF-8

* Tue Apr 25 2006 Elan Ruusamäe <glen@pld-linux.org> bd9951a
- 5.420

* Mon May 30 2005 Jakub Bogusz <qboosh@pld-linux.org> a71425f
- updated to 5.417

* Fri Jan 07 2005 Jakub Bogusz <qboosh@pld-linux.org> 8c3edaa
- release 2

* Wed Jan 05 2005 Jakub Bogusz <qboosh@pld-linux.org> 1022398
- informational summaries/descriptions
- noautoreq for Convert::BinHex (optional, even unpackaged - hint, hint)

* Wed Jan 05 2005 Adam Gołębiowski <adamg@pld-linux.org> 5cff2af
- updated to 5.416

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> e303772
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> b8eed55
- rel. 10

* Thu May 06 2004 ankry <ankry@pld-linux.org> a92e226
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 9a6827d
- cosmetics: unification

